define(['backbone', 'models/greeting', 'views/greeting'], function(Backbone, Greeting, GreetingView) {
  'use strict';

  var Router = Backbone.Router.extend({

    routes: {
      '': 'home'
    },

    home: function() {
      var greetingView = new GreetingView({ model: new Greeting({
        message:  'Hello, this is Vijay demonstrating how to build a hybrid mobile app'
      })});

      $('body').prepend(greetingView.render().el);
    }
  });

  return new Router();
});